h24419
s 00095/00000/00000
d D 1.1 83/03/23 16:20:53 bog 1 0
c date and time created 83/03/23 16:20:53 by bog
e
u
4
U
t
T
I 1
`############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#	Function:  							    #
#		EmXCCp							    #
#		    Communications Capability Common Definition		    #
#									    #
#	Called By:							    #
#		included in most Emulator modules			    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
',`dnl
CommonOrg
# Integer communications capabilities
 # Number of receive baud rates
 CommonCVar(`MRBdCpL')		CHARACTER RBdCpL
 
 # Number of transmit baud rates
 CommonCVar(`MTBdCpL')		CHARACTER TBdCpL
 
 # Number of data bit formats
 CommonCVar(`MDtBCpL')		CHARACTER DtBCpL
 
 # Number of stop bit formats
 CommonCVar(`MStBCpL')		CHARACTER StBCpL
 
 # Receive string flagging capability
 CommonCVar(`MRStFCp')		CHARACTER RStFCp
 
 # Transmit string flagging capability
 CommonCVar(`MTStFCp')		CHARACTER TStFCp
 
# Logical communications capabilities
 # Parity is controllable
 CommonLVar(`MParCap')		LOGICAL ParCap
 
 # BREAK can be transmitted
 CommonLVar(`MTxBkCp')		LOGICAL TxBkCp
 
 # BREAK time in ms. controllable
 CommonLVar(`MTBkTCp')		LOGICAL TBkTCp
 
 # Receive is hardware DSR/DTR flaggable
 CommonLVar(`MRHwFCp')		LOGICAL RHwFCp
 
 # Transmit is hardware RTS/CTS flaggable
 CommonLVar(`MTHwFCp')		LOGICAL THwFCp
 
 # Receive and transmit may have different flagging modes
 CommonLVar(`MSpFMCp')		LOGICAL SpFMCp
 
# Receive baud rates available
CommonIVar(`MRxBdCp',BAUDDIM)	INTEGER RxBdCp(BAUDDIM)
 
# Transmit baud rates available
CommonIVar(`MTxBdCp',BAUDDIM)	INTEGER TxBdCp(BAUDDIM)
 
# Data bit formats available
CommonCVar(`MDtBtCp',DATABITDIM)	CHARACTER DtBtCp(DATABITDIM)
 
# Stop bit formats available
CommonCVar(`MStBtCp',STOPBITDIM)	CHARACTER StBtCp(STOPBITDIM)
 
CommonCArray(`CCmCp')
CommonIArray(`ICmCp')
CommonLArray(`LCmCp')
',`dnl
Common	/EmCmCp/ CCmCp,ICmCp,LCmCp
',`dnl
Equivalence	(RBdCpL,	CCmCp(MRBdCpL))
Equivalence	(TBdCpL,	CCmCp(MTBdCpL))
Equivalence	(DtBCpL,	CCmCp(MDtBCpL))
Equivalence	(StBCpL,	CCmCp(MStBCpL))
Equivalence	(RStFCp,	CCmCp(MRStFCp))
Equivalence	(TStFCp,	CCmCp(MTStFCp))
Equivalence	(ParCap,	LCmCp(MParCap))
Equivalence	(TxBkCp,	LCmCp(MTxBkCp))
Equivalence	(TBkTCp,	LCmCp(MTBkTCp))
Equivalence	(RHwFCp,	LCmCp(MRHwFCp))
Equivalence	(THwFCp,	LCmCp(MTHwFCp))
Equivalence	(SpFMCp,	LCmCp(MSpFMCp))
Equivalence	(RxBdCp(1),	ICmCp(MRxBdCp))
Equivalence	(TxBdCp(1),	ICmCp(MTxBdCp))
Equivalence	(DtBtCp(1),	CCmCp(MDtBtCp))
Equivalence	(StBtCp(1),	CCmCp(MStBtCp))
'dnl
E 1
